function figureS1B(anatomy)
% makes the figure S1B. requires the helper functions getVolume and histcn

transCase = {'Hp','DL'};
hemiCase = {'R','L'};

volAll = zeros(0,4);
for i = 1:numel(anatomy)
    aligned = anatomy(i).data;
    aligned = aligned(aligned.ROI == 'NFL' | aligned.ROI == 'NIL_M' | aligned.ROI == 'NIL_L',:);
    inclInj = unique(aligned.Long);
        for hemi = 1:2
            for trans = 1:2
             for inj = 1:size(inclInj,1)
                    
                % mask aligned with the one injection
                mask = aligned.Hemisphere ==hemiCase{hemi} & aligned.Long == inclInj(inj) & aligned.Transverse ==transCase{trans};

                if sum(mask>0)
                a = aligned(mask,5:7);
                vol = getVolume(a);
                volAll = [volAll; [vol inclInj(inj) trans] ];
                end
             end
            end
        end
end
%%

volAll(volAll(:,2)==-1,:)=[];
volDM = volAll(volAll(:,3)==1,1:2);
volDL = volAll(volAll(:,3)==2,1:2); 

figure
hold on
%%
ms = 8;
j = .25;
sep = .6;

jit1 = rand(size(volDM,1),1).*j/2 - j/4;
jit2 = rand(size(volDL,1),1).*j/2 - j/4;

scatter(volDM(:,2) + jit1 - sep/2,volDM(:,1),ms,'o','filled','MarkerFacecolor',[71 214 219]/255,'MarkerEdgecolor','k','MarkerFaceAlpha',.7)
scatter(volDL(:,2) + jit2 +sep/2, volDL(:,1),ms,'o','filled','MarkerFacecolor',[250 5 245]/255,'MarkerEdgecolor','k','MarkerFaceAlpha',.7)
for i = [1 3 5]
     dmMed = median(volDM(volDM(:,2)==i,1));
    dlMed = median(volDL(volDL(:,2)==i,1));
    plot([i-j-sep/2,  i+j-sep/2],[dmMed dmMed],'-k','lineWidth',1)
     plot([i+sep/2-j,i+sep/2+j],[dlMed dlMed],'-k','lineWidth',1)
end

ylabel('volume in NL (mm^3)')
xlabel('injection location')
xlim([1-sep*2 5+sep*2])
    ylim([0 6])
    