function TiffsToCroppedMats(varargin)
% call with no inputs, or , eg: TiffsToCroppedMats('ROS40\20201115')
%% choose file 
% Choose bird and date (via selection from Engram MISCToDownsample folder)
AllTiffs = dir(fullfile(varargin{1}, '*.tiff')); 
filenameTIFF = fullfile(varargin{1}, AllTiffs(1).name); %pick first tiff
putHerePath = varargin{2}; 
display(['Selected: ' filenameTIFF])

% get tiff filepath
str = split(filenameTIFF,'\');
BIRD = str{end-2}; 
DATE = str{end-1}; 
[tiffLivesHere,tiffjustfilename] = fileparts(filenameTIFF);
%% Decide whether to crop video
XminmaxYminmax = findMajorCrop(BIRD);

%% make folder to store mat files
BatchFolder = fullfile(putHerePath, BIRD, DATE, [tiffjustfilename '_SplitIntoBatches_' ...
    num2str(XminmaxYminmax(1)) '_' num2str(XminmaxYminmax(2)) '_' num2str(XminmaxYminmax(3)) '_' num2str(XminmaxYminmax(4)) '_created_' datestr(now, 'ddmmyyyy_HHMMSS')]); 
mkdir(BatchFolder)

%% Convert TIFF(s) into multiple small .mat files for CNMFE
tic
tiffCollection = dir(fullfile(tiffLivesHere, '*.tiff')); 
nextFram = 1; 
nextTiff = 1; 
chunkSize = 13000; 
smallestAllowed = 1500;
AmIDone = false; 
tic; T = tiffRead(fullfile(tiffLivesHere, tiffCollection(nextTiff).name));
display(['Loaded tiff ' num2str(nextTiff) ' in ' num2str(toc) 's, ' num2str(size(T,3)) ' frames'])
lastTif = false;
endOfTif = false;
%%
while ~AmIDone
    %%
    if endOfTif
        endOfTif = false;
        nextTiff = nextTiff+1;
        nextFram = 1; 
        tic; T = tiffRead(fullfile(tiffLivesHere, tiffCollection(nextTiff).name));
        display(['Loaded tiff ' num2str(nextTiff) ' in ' num2str(toc) 's, ' num2str(size(T,3)) ' frames'])  
    end
    
    if (nextTiff+1)>length(tiffCollection) % if we are on the last tif
        lastTif = true;
    end
    
    framesLeft = size(T,3) - nextFram + 1; 
    if framesLeft < chunkSize + smallestAllowed % if next tiff is short (last tiff) and doesn't make up the remainder of frames needed
        Y = T(XminmaxYminmax(3):XminmaxYminmax(4), XminmaxYminmax(1):XminmaxYminmax(2),...
            nextFram:end);
        Ysiz = size(Y); 
        nam_mat = fullfile(BatchFolder, ['tFile' num2str(nextTiff) '_Startframe' num2str(nextFram,'%07.f') '_of_' num2str(size(T,3),'%07.f') '.mat']); 
        save(nam_mat, 'Y', 'Ysiz', '-v7.3'); 
        
        nextFram = 1;
        endOfTif = true;
        if lastTif && endOfTif
        AmIDone = true; 
        end
    else % plenty of frames in the remaining tiff
        Y= T(XminmaxYminmax(3):XminmaxYminmax(4), XminmaxYminmax(1):XminmaxYminmax(2),...
            nextFram:(nextFram+chunkSize-1));
        Ysiz = size(Y); 
        nam_mat = fullfile(BatchFolder, ['tFile' num2str(nextTiff) '_Startframe' num2str(nextFram,'%07.f') '_of_' num2str(size(T,3),'%07.f') '.mat']); 
        save(nam_mat, 'Y', 'Ysiz', '-v7.3'); 
        nextFram = nextFram+chunkSize;
    end
    %%
    disp(['saved ' nam_mat])
end
end