function [C,S] = deconvolve_ELM(C_raw,Fs)
DeconvC = 0*C_raw; 
DeconvS = 0*C_raw; 
% Tau_1/2 in mouse V1 in vivo is 142ms. 
tau_half_in_sec = .142;  
tau_in_sec = -tau_half_in_sec/log(1/2);  
WarmBirdFactor = (1-(43-38)*.03); % 3% per speed up per degree celsius
g = exp(-1/(Fs*tau_in_sec*WarmBirdFactor)); % autoregressive param

for ni=1:size(C_raw,1) %for each neuron
    C_single=C_raw(ni,:);
    clear options; 
    options.pars = g; 
    options.type = 'ar1'; 
    options.optimize_b = 1; 
    options.optimize_pars = 0; 
    options.method = 'constrained';
    [c,s,options] = deconvolveCa(C_single, options);
    s(s>prctile(s(s>0),99)*1.5) = 0; %eliminate artifactually large transients
    DeconvC(ni,:)=c+options.b;
    DeconvS(ni,:)= s;
    display(['Deconvolved neuron ' num2str(ni) ' of ' num2str(size(C_raw,1))])
end  
C = DeconvC; 
S = DeconvS; 



display('Done DECONVOLUTION')
