function figure4D(data)
% generate figure4D
%
% data: the physiology data structure
%
% Marissa Applegate, Aronov Lab 2022

pct = cell(3,1);
for condition = 1:3
    psigAll = zeros(0,2);
    for b = 1:4
         Parameter = data(b,condition).Parameter;

         psig = zeros(1,numel(Parameter));

            for s = 1:numel(Parameter)
                spat = Parameter(s).pSpatial;
                stab = Parameter(s).pStability;

                sig = spat<0.01 & stab<0.01;
                psig(s) = mean(sig);
            end
            psigAll = [psigAll;[psig' b.*ones(size(psig'))]];
        
    end
    pct{condition} = psigAll;
end

%%
ms = 8;
aDL = pct{1}(:,1);
pDL = pct{2}(:,1);
DM = pct{3}(:,1);


j = .5; % amount of jitter

jA = rand(size(aDL)).*j-j/2- 1;
jP = rand(size(pDL)).*j-j/2 ;
jH = rand(size(DM)).*j-j/2 +1;

% make the figure
figure
hold on

shape = {'o','pentagram','^','diamond'};
sADL = shape(pct{1}(:,2));
sPDL = shape(pct{2}(:,2));
sdm = shape(pct{3}(:,2));

x = [jA; jH; jP];
y = [aDL; DM; pDL];
s = [sADL sdm sPDL];

c = repelem({'r','k','b'},[length(jA) length(jH) length(jP)]);
hold on
plot(-1 + [-1 1].* .25,[1 1].*median(aDL).*100,'k','lineWidth',1)
plot(0 + [-1 1].* .25,[1 1].*median(pDL).*100,'k','lineWidth',1)
plot(1 + [-1 1].* .25,[1 1].*median(DM).*100,'k','lineWidth',1)

for i = 1:numel(c)
scatter(x(i),y(i).*100,ms,s{i},c{i},'filled','markerEdgeColor','k','markerFaceAlpha',.5)
end
ylim([0 100])
xlim([-1.5 1.5])
%
box off
set(gca,'xtick',[-1 0 1],'xtickLabel',{'aDL','pDL','aHp'})
ylabel('% spatial cells')
xlabel('^{ }recording location^{ }')

box off
set(gca,'xtick',[-1 0 1],'xtickLabel',{'aDL','pDL','aHp'})

