function figure4E(data)
% generate figure4E
%
%   data: the physiology data structure
%
% Marissa Applegate, Aronov Lab 2022


nfieldsComparison = cell(1,3);

nbins = 5;
sigThresh = .01;

ms= 4;
% compile nfields of sig cells
for condition = 1:numel(nfieldsComparison)
    nfAll = [];
    for b = 1:size(data,1)
        Parameter = data(b,condition).Parameter;
        Tuning = data(b,condition).Tuning;

        fields = vertcat(Tuning.fieldSegmentation);
    
        %calculte the number of fields
        resh = reshape(fields,size(fields,1),[]);
        nf = max(resh,[],2);

        spat = vertcat(Parameter.pSpatial);
        stab = vertcat(Parameter.pStability);
    
        incl = spat<sigThresh & stab<sigThresh;
    
        nfAll = [nfAll; nf(incl)];
    end
    nfieldsComparison{condition} = nfAll;
end

aDL = nfieldsComparison{1};
pDL = nfieldsComparison{2};
DM = nfieldsComparison{3};

%
aDLbin = histcounts(aDL,0:1:nbins+1,'normalization','cdf');
pDLbin = histcounts(pDL,0:1:nbins+1,'normalization','cdf');
DMbin = histcounts(DM,0:1:nbins+1,'normalization','cdf');

figure
hold on
r = 0:nbins;
plot(r,aDLbin,'r-','lineWidth',1,'markerSize',3)
plot(r,pDLbin,'b-','lineWidth',1,'markerSize',3)
plot(r,DMbin,'k-','lineWidth',1,'markerSize',3)
scatter(r,aDLbin,ms,'r','filled','markerFaceAlpha',.8,'markerEdgeColor','r')
scatter(r,pDLbin,ms,'b','filled','markerFaceAlpha',.8,'markerEdgeColor','b')
scatter(r,DMbin,ms,'k','filled','markerFaceAlpha',.8,'markerEdgeColor','k')

% get sig window

ylim([0 1])
xlim([0 nbins])
xlabel('^{ }# of fields^{ }')
ylabel('cumulative fraction')
