function figure4F(data)
% generate figure4E
%
%   data: the physiology data structure
%
% Marissa Applegate, Aronov Lab 2022
pThresh = .01;
spatial = cell(3,1);
for condition = 1:3
    for b = 1:4
         Parameter = data(b,condition).Parameter;
         Tuning = data(b,condition).Tuning;
        
         spat = vertcat(Parameter.pSpatial);
         stab = vertcat(Parameter.pStability);
         nField = vertcat(Tuning.fieldSegmentation);
        
        sig = spat<pThresh & stab<pThresh;
        spatial{condition} = [spatial{condition}; nField(sig,:,:)];

    end
end
%
avSzField = cell(3,1);
for condition = 1:3
    fldSz = zeros(size(spatial{condition},1),1);
    for ni = 1:size(spatial{condition},1)
        
        f = squeeze(spatial{condition}(ni,:,:));
        sz = zeros(length(unique(f))-1,1);
   for fld = 1:length(unique(f))-1
   sz(fld) = sum(f(:)==fld);
        
   end
   fldSz(ni) = mean(sz);
    end
    avSzField{condition} = fldSz;
end

%%
r = 0:10:1000;

szADL = histcounts(avSzField{1},r,'normalization','cdf');
szpDL = histcounts(avSzField{2},r,'normalization','cdf');
szDM = histcounts(avSzField{3},r,'normalization','cdf');

figure
hold on

% convert from pixels to cm^2
CF = (91/40).^2;
plot(r(1:end-1).*CF,szADL,'-r','lineWidth',1)
plot(r(1:end-1).*CF,szDM,'-k','lineWidth',1)
plot(r(1:end-1).*CF,szpDL,'-b','lineWidth',1)
xlim([200 2500])
ylim([0 1])
xlabel('average field size (cm^2)')
ylabel('cumulative fraction')