function figure5B(data)
% generate figure5B
%
%   data: the physiology data structure
%
% Marissa Applegate, Aronov Lab 2022


sigThresh = .01;
pctSig = cell(3,1);
r = -2:.05:2;

for condition = 1:3
    tempPCT = [];
    for b = 1:4 
          Parameter = data(b,condition).Parameter;
          Tuning = data(b,condition).Tuning;
          
          spat = vertcat(Parameter.pSpatial);
          stab = vertcat(Parameter.pStability);
          temporalShift = vertcat(Tuning.temporalShift);
          
          incl = spat<sigThresh & stab<sigThresh;
          temporalShift = temporalShift(incl,:);
    
          % add smoothing
          temporalShift = movmean(temporalShift,3,2);
    
          [~,ind] = max(temporalShift,[],2);
          tempPCT = [tempPCT r(ind)];
    end
pctSig{condition} =tempPCT;
end

%
aDL = pctSig{1};
pDL = pctSig{2};
aDM = pctSig{3};
figure
%

aDL = histcounts(aDL,r,'normalization','cdf');
aDM = histcounts(aDM,r,'normalization','cdf');
pDL = histcounts(pDL,r,'normalization','cdf');

hold on

bc = (r(1:end-1) + r(2:end))/2;

plot(bc,aDL,'r','lineWidth',2)
plot(bc,aDM,'k','lineWidth',2)
plot(bc,pDL,'b','lineWidth',2)


xlim([-1 1])
ylim([0 1])
xlabel('optimal shift (s)')
ylabel('cumulative fraction')
set(gca,'fontName','Arial')
box off
