function figure6H(data)
% generate figure6H
%
%   data: the physiology data structure
%
% Marissa Applegate, Aronov Lab 2022

PCT = cell(1,3);
sigThresh = .01;
ms = 8;

for condition = 1:3
    for b = 1:size(data,1)
        dash = data(b,condition).Parameter;
          for s = 1:numel(dash)
               p = dash(s).pDash;
               PCT{condition}= [PCT{condition}; [mean(p<sigThresh) b]];
          end
    end
end

% mix up the order
for i = 1:3
    n = size(PCT{i},1);
    PCT{i} = PCT{i}(randperm(n),:);
end

aDL = PCT{1}(:,1);
pDL = PCT{2}(:,1);
DM  = PCT{3}(:,1);

%
j = .5;

jA = rand(size(aDL)).*j-j/2- 1;
jP = rand(size(pDL)).*j-j/2 ;
jH = rand(size(DM)).*j-j/2 +1;
figure
hold on

shape = {'o','pentagram','^','diamond'};
sADL = shape(PCT{1}(:,2));
sPDL = shape(PCT{2}(:,2));
sdm = shape(PCT{3}(:,2));

x = [jA; jH; jP];
y = [aDL; DM; pDL];
s = [sADL sdm sPDL];
c = repelem({'r','k','b'},[length(jA) length(jH) length(jP)]);
hold on
plot(-1 + [-1 1].* .25,[1 1].*median(aDL).*100,'k','lineWidth',1)
plot(0 + [-1 1].* .25,[1 1].*median(pDL).*100,'k','lineWidth',1)
plot(1 + [-1 1].* .25,[1 1].*median(DM).*100,'k','lineWidth',1)

for i = 1:numel(c)
scatter(x(i),y(i).*100,ms,s{i},c{i},'filled','markerEdgeColor','k','markerFaceAlpha',.5)
end

%
box off
set(gca,'xtick',[-1 0 1],'xtickLabel',{'aDL','pDL','aHp'})
ylabel('% dash cells')
xlabel('recording location')
ylim([0 100])
xlim([-1.5 1.5])
