function figure6I(data,condition)
% generate figure6I
%
%   data: the physiology data structure
%   condition: specify which of the recording conditions (locations) to
%   plot
% condition 1 == aDL
% condition 2 == pDL
% condition 3 == aHp
% Marissa Applegate, Aronov Lab 2022


timeAroundHop = 5;
r = -timeAroundHop:.05:timeAroundHop;
%
conditionKeepAll =  zeros(0,length(r));

for b = 1:4
    Parameter = data(b,condition).Parameter;
    Tuning = data(b,condition).Tuning;
    
    sessionData = vertcat(Tuning.dashTuning);
    sessionDataSig = vertcat(Parameter.pDash);
    conditionKeep = sessionData(sessionDataSig<.01,:);

%smooth the data
for ni = 1:size(conditionKeep,1)
    m = conditionKeep(ni,:); 
    % smooth m
    m = movmean(m,5);
    conditionKeep(ni,:) = m;
end

conditionKeepAll = [conditionKeepAll; conditionKeep];
end

%
% make the plots
close all
conditionKeep = conditionKeepAll;

%normalize conditionKeep
conditionKeep = conditionKeep - prctile(conditionKeep,2.5,2);
conditionKeep = conditionKeep ./ prctile(conditionKeep,97.5,2);

% find the peak
[~,maxInd]= max(conditionKeep,[],2);
%subsample for fun
[~,order] = sort(maxInd);
conditionKeep = conditionKeep(order,:);

figure
imagesc(conditionKeep,'xData',r)

xlim([-1.5 2.5])
xlabel('time (s)')
ylabel('cell #')
box off
colormap('jet')
caxis([0 1.75])

